<div class="content-header row">
    <div class="content-header-left col-md-9 col-12 mb-2">
      <div class="row breadcrumbs-top">
        <div class="col-12">
          <h2 class="content-header-title float-left mb-0">Ajouter Agence</h2>
        
        </div>
      </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
      <div class="form-group breadcrum-right">
        <div class="dropdown">
          <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
          <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
        </div>
      </div>
    </div>
  </div>
  
  <section class="users-edit">
    <div class="card">
      <div class="card-content">
        <div class="card-body">
          
          
              <form novalidate #f="ngForm" (ngSubmit)="save(f.value)">
                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFrom" >
                  <i class="feather icon-info mr-1 align-middle"></i>
                  <span>{{InvalidFrom}}</span>
                </div>
                <div class="row">
                  <div class="col-12 col-sm-6">
                    <div class="form-group">
                      <div class="controls">
                        <label>Nom Agence</label>
                        <input type="text" class="form-control" placeholder="Nom Agence" name="nom" #nom="ngModel" [(ngModel)]="agence.nom"  required
                          data-validation-required-message="Nom obligatoire">
                      </div>
                      <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nom.touched && nom.invalid">
                        <i class="feather icon-info mr-1 align-middle"></i>
                        <span>Nom d'Agence obligatoire</span>
                      </div>
                    </div>
                    <div class="form-group">
                      <div class="controls">
                        <label>E-mail</label>
                        <input type="email" class="form-control" placeholder="email" name="email" #email="ngModel" [(ngModel)]="agence.email" email>
                      </div>
                      <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="email.touched && email.invalid">
                        <i class="feather icon-info mr-1 align-middle"></i>
                        <span>Email Obligatoire et doit étre de type email</span>
                      </div>
                    </div>
                    
                    <div class="form-group">
                      <div class="controls">
                        <label>Code indentifiant:</label>
                        <input type="text" class="form-control" placeholder="Code indentifiant" name="username" #username="ngModel" [(ngModel)]="agence.username"
                        required data-validation-required-message="This email field is required">
                      </div>
                      <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="username.touched && username.invalid">
                        <i class="feather icon-info mr-1 align-middle"></i>
                        <span>Code  Obligatoire</span>
                      </div>
                    </div>
  
  
                  </div>
                  <div class="col-12 col-sm-6">
  
                    <div class="form-group">
                      <div class="controls">
                        <label>Site web:</label>
                        <input type="text" class="form-control" placeholder="Site web" name="siteWeb" #siteWeb="ngModel" [(ngModel)]="agence.siteWeb" required
                          data-validation-required-message="This name field is required">
                      </div>
                      <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="siteWeb.touched && siteWeb.invalid">
                        <i class="feather icon-info mr-1 align-middle"></i>
                        <span>Site Web Obligatoire</span>
                      </div>
                    </div>

                    <div class="form-group">
                      <div class="controls">
                        <label>Tel:</label>
                        <input type="text" class="form-control" placeholder="Tel" name="tel" #tel="ngModel" [(ngModel)]="agence.tel" required
                          data-validation-required-message="This name field is required">
                      </div>
                      <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="tel.touched && tel.invalid">
                        <i class="feather icon-info mr-1 align-middle"></i>
                        <span>Téléphone Obligatoire</span>
                      </div>
                    </div>
  
                <div class="form-group">
                      <label>Mot de passe:</label>
                      <input type="password" class="form-control" name="password" #password="ngModel" [(ngModel)]="agence.password" required
                        placeholder="Mot de passe">
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="password.touched && password.invalid">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>mot de passe Obligatoire</span>
                    </div>
                   
                  </div>
                  
                  <div class="col-md-3 offset-md-9" style="margin-top: 10px;">
                    <button type="reset" class="btn btn-warning mr-1 mb-1 waves-effect waves-light">Annuler</button>   
                    <button type="submit" class="btn btn-primary mr-1 mb-1 waves-effect waves-light" [disabled]="f.invalid">Ajouter Agence</button>
                    </div>
                </div>
              </form>
              <!-- users edit account form ends -->
            
            
        </div>
      </div>
    </div>
  </section>